xliff2oo(1)

NAME
xliff2oo - convert XLIFF localization files to an OpenOffice.org (SDF) localization file

SYNOPSIS

xliff2oo [--version] [-h|--help] [--manpage] [--progress PROGRESS] [--errorlevel ERRORLEVEL] [-i|--input] INPUT [-x|--exclude EXCLUDE] [-o|--output] OUTPUT [-t|--template TEMPLATE] [-l|--language LANG] [--source-language LANG] [-T|--keeptimestamp] [--nonrecursiveoutput] [--nonrecursivetemplate] [--skipsource] [--filteraction ACTION] [--fuzzy] [--nofuzzy] [--multifile MULTIFILESTYLE]

OPTIONS

--version
    show program's version number and exit

-h/--help
    show this help message and exit

--manpage
    output a manpage based on the help

--progress
    show progress as: dots, none, bar, names, verbose

--errorlevel
    show errorlevel as: none, message, exception, traceback

-i/--input
    read from INPUT in xlf, po, pot formats

-x/--exclude
    exclude names matching EXCLUDE from input paths

-o/--output
    write to OUTPUT in sdf, oo formats

-t/--template
    read from TEMPLATE in sdf, oo formats

-l/--language
    set target language code (e.g. af-ZA) [required]

--source-language
    set source language code (default en-US)

-T/--keeptimestamp
    don't change the timestamps of the strings

--nonrecursiveoutput
    don't treat the output oo as a recursive store

--nonrecursivetemplate
    don't treat the template oo as a recursive store

--skipsource
    don't output the source language, but fallback to it where needed

--filteraction
    action on pofilter failure: none (default), warn, exclude-serious, exclude-all

--fuzzy
    use translations marked fuzzy

--nofuzzy
    don't use translations marked fuzzy (default)

--multifile
    how to split po/pot files (single, toplevel or onefile)